'use client';
import { FileUpload } from '../../components/FileUpload';
import { FileDownload } from '../../components/FileDownload';
import { AdvancedFileDownload } from '../../components/AdvancedFileDownload';
import { DownloadTester } from '../../components/DownloadTester';

export default function UploadPage() {
	return (
		<div className="min-h-screen bg-gray-50">
			<div className="container mx-auto py-8">
				<div className="text-center mb-8">
					<h1 className="text-3xl font-bold text-gray-900 mb-2">文件上传和下载中心</h1>
					<p className="text-gray-600">完整的文件管理解决方案：上传、下载、预览</p>
				</div>

				{/* 上传组件 */}
				<div className="mb-8">
					<h2 className="text-xl font-semibold mb-4">📤 文件上传</h2>
					<FileUpload />
				</div>

				{/* 下载测试组件 */}
				<div className="mb-8">
					<h2 className="text-xl font-semibold mb-4">🔧 下载测试</h2>
					<DownloadTester />
				</div>

				<div className="grid grid-cols-1 lg:grid-cols-2 gap-8">
					{/* 基础下载组件 */}
					<div>
						<h2 className="text-xl font-semibold mb-4">📥 基础下载</h2>
						<FileDownload />
					</div>

					{/* 高级下载组件 */}
					<div>
						<h2 className="text-xl font-semibold mb-4">🚀 高级下载</h2>
						<AdvancedFileDownload />
					</div>
				</div>
			</div>
		</div>
	);
}
